diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/ajax-actions.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/ajax-actions.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/ajax-actions.php	2013-07-28 15:55:53.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/ajax-actions.php	2013-10-22 12:22:11.000000000 -0500
***************
*** 26,37 ****
  
  	if ( ! empty($_POST['data']) ) {
  		$data = wp_unslash( (array) $_POST['data'] );
  		$response = apply_filters( 'heartbeat_nopriv_received', $response, $data, $screen_id );
  	}
  
  	$response = apply_filters( 'heartbeat_nopriv_send', $response, $screen_id );
  
! 	// Allow the transport to be replaced with long-polling easily
  	do_action( 'heartbeat_nopriv_tick', $response, $screen_id );
  
  	// send the current time according to the server
--- 26,64 ----
  
  	if ( ! empty($_POST['data']) ) {
  		$data = wp_unslash( (array) $_POST['data'] );
+ 
+ 		/**
+ 		 * Filter Heartbeat AJAX response in no-privilege environments.
+ 		 *
+ 		 * @since 3.6.0
+ 		 *
+ 		 * @param array|object $response  The no-priv Heartbeat response object or array.
+ 		 * @param array        $data      An array of data passed via $_POST.
+ 		 * @param string       $screen_id The screen id.
+ 		 */
  		$response = apply_filters( 'heartbeat_nopriv_received', $response, $data, $screen_id );
  	}
  
+ 	/**
+ 	 * Filter Heartbeat AJAX response when no data is passed.
+ 	 *
+ 	 * @since 3.6.0
+ 	 *
+ 	 * @param array|object $response  The Heartbeat response object or array.
+ 	 * @param string       $screen_id The screen id.
+ 	 */
  	$response = apply_filters( 'heartbeat_nopriv_send', $response, $screen_id );
  
! 	/**
! 	 * Fires when Heartbeat ticks in no-privilege environments.
! 	 *
! 	 * Allows the transport to be easily replaced with long-polling.
! 	 *
! 	 * @since 3.6.0
! 	 *
! 	 * @param array|object $response  The no-priv Heartbeat response.
! 	 * @param string       $screen_id The screen id.
! 	 */
  	do_action( 'heartbeat_nopriv_tick', $response, $screen_id );
  
  	// send the current time according to the server
***************
*** 87,93 ****
  	if ( strlen( $s ) < 2 )
  		wp_die(); // require 2 chars for matching
  
! 	$results = $wpdb->get_col( $wpdb->prepare( "SELECT t.name FROM $wpdb->term_taxonomy AS tt INNER JOIN $wpdb->terms AS t ON tt.term_id = t.term_id WHERE tt.taxonomy = %s AND t.name LIKE (%s)", $taxonomy, '%' . like_escape( $s ) . '%' ) );
  
  	echo join( $results, "\n" );
  	wp_die();
--- 114,120 ----
  	if ( strlen( $s ) < 2 )
  		wp_die(); // require 2 chars for matching
  
! 	$results = get_terms( $taxonomy, array( 'name__like' => $s, 'fields' => 'names', 'hide_empty' => false ) );
  
  	echo join( $results, "\n" );
  	wp_die();
***************
*** 163,168 ****
--- 190,196 ----
  	if ( ! is_multisite() || ! current_user_can( 'promote_users' ) || wp_is_large_network( 'users' ) )
  		wp_die( -1 );
  
+ 	/** This filter is documented in wp-admin/user-new.php */
  	if ( ! is_super_admin() && ! apply_filters( 'autocomplete_users_for_site_admins', false ) )
  		wp_die( -1 );
  
***************
*** 241,250 ****
   * @return die
   */
  function _wp_ajax_delete_comment_response( $comment_id, $delta = -1 ) {
! 	$total = (int) @$_POST['_total'];
! 	$per_page = (int) @$_POST['_per_page'];
! 	$page = (int) @$_POST['_page'];
! 	$url = esc_url_raw( @$_POST['_url'] );
  	// JS didn't send us everything we need to know. Just die with success message
  	if ( !$total || !$per_page || !$page || !$url )
  		wp_die( time() );
--- 269,279 ----
   * @return die
   */
  function _wp_ajax_delete_comment_response( $comment_id, $delta = -1 ) {
! 	$total    = isset( $_POST['_total'] )    ? (int) $_POST['_total']    : 0;
! 	$per_page = isset( $_POST['_per_page'] ) ? (int) $_POST['_per_page'] : 0;
! 	$page     = isset( $_POST['_page'] )     ? (int) $_POST['_page']     : 0;
! 	$url      = isset( $_POST['_url'] )      ? esc_url_raw( $_POST['_url'] ) : '';
! 
  	// JS didn't send us everything we need to know. Just die with success message
  	if ( !$total || !$per_page || !$page || !$url )
  		wp_die( time() );
***************
*** 546,552 ****
  		wp_die( -1 );
  
  	$current = wp_get_comment_status( $comment->comment_ID );
! 	if ( $_POST['new'] == $current )
  		wp_die( time() );
  
  	check_ajax_referer( "approve-comment_$id" );
--- 575,581 ----
  		wp_die( -1 );
  
  	$current = wp_get_comment_status( $comment->comment_ID );
! 	if ( isset( $_POST['new'] ) && $_POST['new'] == $current )
  		wp_die( time() );
  
  	check_ajax_referer( "approve-comment_$id" );
***************
*** 694,702 ****
  
  	check_ajax_referer( $action );
  
  	$wp_list_table = _get_list_table( 'WP_Post_Comments_List_Table', array( 'screen' => 'edit-comments' ) );
  
! 	if ( !current_user_can( 'edit_post', $post_id ) )
  		wp_die( -1 );
  
  	$wp_list_table->prepare_items();
--- 723,740 ----
  
  	check_ajax_referer( $action );
  
+ 	if ( empty( $post_id ) && ! empty( $_REQUEST['p'] ) ) {
+ 		$id = absint( $_REQUEST['p'] );
+ 		if ( ! empty( $id ) )
+ 			$post_id = $id;
+ 	}
+ 
+ 	if ( empty( $post_id ) )
+ 		wp_die( -1 );
+ 
  	$wp_list_table = _get_list_table( 'WP_Post_Comments_List_Table', array( 'screen' => 'edit-comments' ) );
  
! 	if ( ! current_user_can( 'edit_post', $post_id ) )
  		wp_die( -1 );
  
  	$wp_list_table->prepare_items();
***************
*** 750,755 ****
--- 788,796 ----
  		$comment_author_url   = wp_slash( $user->user_url );
  		$comment_content      = trim($_POST['content']);
  		if ( current_user_can( 'unfiltered_html' ) ) {
+ 			if ( ! isset( $_POST['_wp_unfiltered_html_comment'] ) )
+ 				$_POST['_wp_unfiltered_html_comment'] = '';
+ 
  			if ( wp_create_nonce( 'unfiltered-html-comment' ) != $_POST['_wp_unfiltered_html_comment'] ) {
  				kses_remove_filters(); // start with a clean slate
  				kses_init_filters(); // set up the filters
***************
*** 762,768 ****
  	if ( '' == $comment_content )
  		wp_die( __( 'ERROR: please type a comment.' ) );
  
! 	$comment_parent = absint($_POST['comment_ID']);
  	$comment_auto_approved = false;
  	$commentdata = compact('comment_post_ID', 'comment_author', 'comment_author_email', 'comment_author_url', 'comment_content', 'comment_type', 'comment_parent', 'user_ID');
  
--- 803,811 ----
  	if ( '' == $comment_content )
  		wp_die( __( 'ERROR: please type a comment.' ) );
  
! 	$comment_parent = 0;
! 	if ( isset( $_POST['comment_ID'] ) )
! 		$comment_parent = absint( $_POST['comment_ID'] );
  	$comment_auto_approved = false;
  	$commentdata = compact('comment_post_ID', 'comment_author', 'comment_author_email', 'comment_author_url', 'comment_content', 'comment_type', 'comment_parent', 'user_ID');
  
***************
*** 783,801 ****
  	$position = ( isset($_POST['position']) && (int) $_POST['position'] ) ? (int) $_POST['position'] : '-1';
  
  	ob_start();
! 		if ( 'dashboard' == $_REQUEST['mode'] ) {
! 			require_once( ABSPATH . 'wp-admin/includes/dashboard.php' );
! 			_wp_dashboard_recent_comments_row( $comment );
  		} else {
! 			if ( 'single' == $_REQUEST['mode'] ) {
! 				$wp_list_table = _get_list_table('WP_Post_Comments_List_Table', array( 'screen' => 'edit-comments' ) );
! 			} else {
! 				$wp_list_table = _get_list_table('WP_Comments_List_Table', array( 'screen' => 'edit-comments' ) );
! 			}
! 			$wp_list_table->single_row( $comment );
  		}
! 		$comment_list_item = ob_get_contents();
! 	ob_end_clean();
  
  	$response =  array(
  		'what' => 'comment',
--- 826,843 ----
  	$position = ( isset($_POST['position']) && (int) $_POST['position'] ) ? (int) $_POST['position'] : '-1';
  
  	ob_start();
! 	if ( isset( $_REQUEST['mode'] ) && 'dashboard' == $_REQUEST['mode'] ) {
! 		require_once( ABSPATH . 'wp-admin/includes/dashboard.php' );
! 		_wp_dashboard_recent_comments_row( $comment );
! 	} else {
! 		if ( isset( $_REQUEST['mode'] ) && 'single' == $_REQUEST['mode'] ) {
! 			$wp_list_table = _get_list_table('WP_Post_Comments_List_Table', array( 'screen' => 'edit-comments' ) );
  		} else {
! 			$wp_list_table = _get_list_table('WP_Comments_List_Table', array( 'screen' => 'edit-comments' ) );
  		}
! 		$wp_list_table->single_row( $comment );
! 	}
! 	$comment_list_item = ob_get_clean();
  
  	$response =  array(
  		'what' => 'comment',
***************
*** 824,830 ****
  	if ( '' == $_POST['content'] )
  		wp_die( __( 'ERROR: please type a comment.' ) );
  
! 	$_POST['comment_status'] = $_POST['status'];
  	edit_comment();
  
  	$position = ( isset($_POST['position']) && (int) $_POST['position']) ? (int) $_POST['position'] : '-1';
--- 866,873 ----
  	if ( '' == $_POST['content'] )
  		wp_die( __( 'ERROR: please type a comment.' ) );
  
! 	if ( isset( $_POST['status'] ) )
! 		$_POST['comment_status'] = $_POST['status'];
  	edit_comment();
  
  	$position = ( isset($_POST['position']) && (int) $_POST['position']) ? (int) $_POST['position'] : '-1';
***************
*** 834,844 ****
  	$wp_list_table = _get_list_table( $checkbox ? 'WP_Comments_List_Table' : 'WP_Post_Comments_List_Table', array( 'screen' => 'edit-comments' ) );
  
  	$comment = get_comment( $comment_id );
  
  	ob_start();
! 		$wp_list_table->single_row( $comment );
! 		$comment_list_item = ob_get_contents();
! 	ob_end_clean();
  
  	$x = new WP_Ajax_Response();
  
--- 877,888 ----
  	$wp_list_table = _get_list_table( $checkbox ? 'WP_Comments_List_Table' : 'WP_Post_Comments_List_Table', array( 'screen' => 'edit-comments' ) );
  
  	$comment = get_comment( $comment_id );
+ 	if ( empty( $comment->comment_ID ) )
+ 		wp_die( -1 );
  
  	ob_start();
! 	$wp_list_table->single_row( $comment );
! 	$comment_list_item = ob_get_clean();
  
  	$x = new WP_Ajax_Response();
  
***************
*** 905,910 ****
--- 949,962 ----
  		}
  	}
  
+ 	/**
+ 	 * Filter the Walker class used when adding nav menu items.
+ 	 *
+ 	 * @since 3.4.0
+ 	 *
+ 	 * @param string $class   The walker class to use. Default 'Walker_Nav_Menu_Edit'.
+ 	 * @param int    $menu_id The menu id, derived from $_POST['menu'].
+ 	 */
  	$walker_class_name = apply_filters( 'wp_edit_nav_menu_walker', 'Walker_Nav_Menu_Edit', $_POST['menu'] );
  
  	if ( ! class_exists( $walker_class_name ) )
***************
*** 1046,1054 ****
  
  	check_ajax_referer( 'autosave', 'autosavenonce' );
  
! 	$_POST['post_category'] = explode(",", $_POST['catslist']);
! 	if ( $_POST['post_type'] == 'page' || empty($_POST['post_category']) )
! 		unset($_POST['post_category']);
  
  	$data = '';
  	$supplemental = array();
--- 1098,1107 ----
  
  	check_ajax_referer( 'autosave', 'autosavenonce' );
  
! 	if ( ! empty( $_POST['catslist'] ) )
! 		$_POST['post_category'] = explode( ',', $_POST['catslist'] );
! 	if ( $_POST['post_type'] == 'page' || empty( $_POST['post_category'] ) )
! 		unset( $_POST['post_category'] );
  
  	$data = '';
  	$supplemental = array();
***************
*** 1056,1073 ****
  
  	$post_id = (int) $_POST['post_id'];
  	$_POST['ID'] = $_POST['post_ID'] = $post_id;
! 	$post = get_post($post_id);
  	if ( 'auto-draft' == $post->post_status )
  		$_POST['post_status'] = 'draft';
  
- 	if ( 'page' == $post->post_type ) {
- 		if ( !current_user_can('edit_page', $post->ID) )
- 			wp_die( __( 'You are not allowed to edit this page.' ) );
- 	} else {
- 		if ( !current_user_can('edit_post', $post->ID) )
- 			wp_die( __( 'You are not allowed to edit this post.' ) );
- 	}
- 
  	if ( ! empty( $_POST['autosave'] ) ) {
  		if ( ! wp_check_post_lock( $post->ID ) && get_current_user_id() == $post->post_author && ( 'auto-draft' == $post->post_status || 'draft' == $post->post_status ) ) {
  			// Drafts and auto-drafts are just overwritten by autosave for the same user if the post is not locked
--- 1109,1124 ----
  
  	$post_id = (int) $_POST['post_id'];
  	$_POST['ID'] = $_POST['post_ID'] = $post_id;
! 	$post = get_post( $post_id );
! 	if ( empty( $post->ID ) || ! current_user_can( 'edit_post', $post->ID ) )
! 		wp_die( __( 'You are not allowed to edit this post.' ) );
! 
! 	if ( 'page' == $post->post_type && ! current_user_can( 'edit_page', $post->ID ) )
! 		wp_die( __( 'You are not allowed to edit this page.' ) );
! 
  	if ( 'auto-draft' == $post->post_status )
  		$_POST['post_status'] = 'draft';
  
  	if ( ! empty( $_POST['autosave'] ) ) {
  		if ( ! wp_check_post_lock( $post->ID ) && get_current_user_id() == $post->post_author && ( 'auto-draft' == $post->post_status || 'draft' == $post->post_status ) ) {
  			// Drafts and auto-drafts are just overwritten by autosave for the same user if the post is not locked
***************
*** 1177,1183 ****
  	}
  
  	if ( ! empty( $_POST['item-object'] ) && isset( $items[$_POST['item-object']] ) ) {
! 		$item = apply_filters( 'nav_menu_meta_box_object', $items[ $_POST['item-object'] ] );
  		ob_start();
  		call_user_func_array($callback, array(
  			null,
--- 1228,1242 ----
  	}
  
  	if ( ! empty( $_POST['item-object'] ) && isset( $items[$_POST['item-object']] ) ) {
! 		$menus_meta_box_object = $items[ $_POST['item-object'] ];
! 		/**
! 		 * Filter a nav menu meta box object.
! 		 *
! 		 * @since 3.0.0
! 		 *
! 		 * @param object $menus_meta_box_object A nav menu meta box object, such as Page, Post, Category, Tag, etc.
! 		 */
! 		$item = apply_filters( 'nav_menu_meta_box_object', $menus_meta_box_object );
  		ob_start();
  		call_user_func_array($callback, array(
  			null,
***************
*** 1313,1319 ****
  	$data['excerpt'] = $post['post_excerpt'];
  
  	// rename
! 	$data['user_ID'] = $GLOBALS['user_ID'];
  
  	if ( isset($data['post_parent']) )
  		$data['parent_id'] = $data['post_parent'];
--- 1372,1378 ----
  	$data['excerpt'] = $post['post_excerpt'];
  
  	// rename
! 	$data['user_ID'] = get_current_user_id();
  
  	if ( isset($data['post_parent']) )
  		$data['parent_id'] = $data['post_parent'];
***************
*** 1506,1514 ****
  
  	unset( $_POST['savewidgets'], $_POST['action'] );
  
! 	do_action('load-widgets.php');
! 	do_action('widgets.php');
! 	do_action('sidebar_admin_setup');
  
  	$id_base = $_POST['id_base'];
  	$widget_id = $_POST['widget-id'];
--- 1565,1590 ----
  
  	unset( $_POST['savewidgets'], $_POST['action'] );
  
! 	/**
! 	 * Fires early when editing the widgets displayed in sidebars.
! 	 *
! 	 * @since 2.8.0
! 	 */
! 	do_action( 'load-widgets.php' );
! 
! 	/**
! 	 * Fires early when editing the widgets displayed in sidebars.
! 	 *
! 	 * @since 2.8.0
! 	 */
! 	do_action( 'widgets.php' );
! 
! 	/**
! 	 * Fires early when editing the widgets displayed in sidebars.
! 	 *
! 	 * @since 2.2.0
! 	 */
! 	do_action( 'sidebar_admin_setup' );
  
  	$id_base = $_POST['id_base'];
  	$widget_id = $_POST['widget-id'];
***************
*** 1762,1767 ****
--- 1838,1850 ----
  	if ( $active_lock[1] != get_current_user_id() )
  		wp_die( 0 );
  
+ 	/**
+ 	 * Filter the post lock window duration.
+ 	 *
+ 	 * @since 3.3.0
+ 	 *
+ 	 * @param int $interval The interval in seconds the post lock duration should last, plus 5 seconds. Default 120.
+ 	 */
  	$new_lock = ( time() - apply_filters( 'wp_check_post_lock_window', 120 ) + 5 ) . ':' . $active_lock[1];
  	update_post_meta( $post_id, '_edit_lock', $new_lock, implode( ':', $active_lock ) );
  	wp_die( 1 );
***************
*** 1833,1838 ****
--- 1916,1929 ----
  	if ( current_user_can( get_post_type_object( 'attachment' )->cap->read_private_posts ) )
  		$query['post_status'] .= ',private';
  
+ 	/**
+ 	 * Filter the arguments passed to WP_Query during an AJAX call for querying attachments.
+ 	 *
+ 	 * @since 3.7.0
+ 	 *
+ 	 * @param array $query An array of query variables. @see WP_Query::parse_query()
+ 	 */
+ 	$query = apply_filters( 'ajax_query_attachments_args', $query );
  	$query = new WP_Query( $query );
  
  	$posts = array_map( 'wp_prepare_attachment_for_js', $query->posts );
***************
*** 1911,1916 ****
--- 2002,2008 ----
  	if ( 'attachment' != $post['post_type'] )
  		wp_send_json_error();
  
+ 	/** This filter is documented in wp-admin/includes/media.php */
  	$post = apply_filters( 'attachment_fields_to_save', $post, $attachment_data );
  
  	if ( isset( $post['errors'] ) ) {
***************
*** 2013,2018 ****
--- 2105,2111 ----
  		$html = stripslashes_deep( $_POST['html'] );
  	}
  
+ 	/** This filter is documented in wp-admin/includes/media.php */
  	$html = apply_filters( 'media_send_to_editor', $html, $id, $attachment );
  
  	wp_send_json_success( $html );
***************
*** 2053,2058 ****
--- 2146,2152 ----
  		&& ( 'audio' == $ext_type || 'video' == $ext_type ) )
  			$type = $ext_type;
  
+ 	/** This filter is documented in wp-admin/includes/media.php */
  	$html = apply_filters( $type . '_send_to_editor_url', $html, $src, $title );
  
  	wp_send_json_success( $html );
***************
*** 2083,2094 ****
  
  	if ( ! empty($_POST['data']) ) {
  		$data = (array) $_POST['data'];
  		$response = apply_filters( 'heartbeat_received', $response, $data, $screen_id );
  	}
  
  	$response = apply_filters( 'heartbeat_send', $response, $screen_id );
  
! 	// Allow the transport to be replaced with long-polling easily
  	do_action( 'heartbeat_tick', $response, $screen_id );
  
  	// Send the current time according to the server
--- 2177,2215 ----
  
  	if ( ! empty($_POST['data']) ) {
  		$data = (array) $_POST['data'];
+ 
+ 		/**
+ 		 * Filter the Heartbeat response received.
+ 		 *
+ 		 * @since 3.6.0
+ 		 *
+ 		 * @param array|object $response  The Heartbeat response object or array.
+ 		 * @param array        $data      The $_POST data sent.
+ 		 * @param string       $screen_id The screen id.
+ 		 */
  		$response = apply_filters( 'heartbeat_received', $response, $data, $screen_id );
  	}
  
+ 	/**
+ 	 * Filter the Heartbeat response sent.
+ 	 *
+ 	 * @since 3.6.0
+ 	 *
+ 	 * @param array|object $response  The Heartbeat response object or array.
+ 	 * @param string       $screen_id The screen id.
+ 	 */
  	$response = apply_filters( 'heartbeat_send', $response, $screen_id );
  
! 	/**
! 	 * Fires when Heartbeat ticks in logged-in environments.
! 	 *
! 	 * Allows the transport to be easily replaced with long-polling.
! 	 *
! 	 * @since 3.6.0
! 	 *
! 	 * @param array|object $response  The Heartbeat response object or array.
! 	 * @param string       $screen_id The screen id.
! 	 */
  	do_action( 'heartbeat_tick', $response, $screen_id );
  
  	// Send the current time according to the server
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/bookmark.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/bookmark.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/bookmark.php	2013-03-01 11:00:25.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/bookmark.php	2013-10-06 21:19:09.000000000 -0500
***************
*** 70,76 ****
  }
  
  /**
!  * Delete link specified from database
   *
   * @since 2.0.0
   *
--- 70,76 ----
  }
  
  /**
!  * Delete link specified from database.
   *
   * @since 2.0.0
   *
***************
*** 79,91 ****
   */
  function wp_delete_link( $link_id ) {
  	global $wpdb;
! 
  	do_action( 'delete_link', $link_id );
  
  	wp_delete_object_term_relationships( $link_id, 'link_category' );
  
  	$wpdb->delete( $wpdb->links, array( 'link_id' => $link_id ) );
! 
  	do_action( 'deleted_link', $link_id );
  
  	clean_bookmark_cache( $link_id );
--- 79,103 ----
   */
  function wp_delete_link( $link_id ) {
  	global $wpdb;
! 	/**
! 	 * Fires before a link is deleted.
! 	 *
! 	 * @since 2.0.0
! 	 *
! 	 * @param int $link_id ID of the link to delete.
! 	 */
  	do_action( 'delete_link', $link_id );
  
  	wp_delete_object_term_relationships( $link_id, 'link_category' );
  
  	$wpdb->delete( $wpdb->links, array( 'link_id' => $link_id ) );
! 	/**
! 	 * Fires after a link has been deleted.
! 	 *
! 	 * @since 2.2.0
! 	 *
! 	 * @param int $link_id ID of the deleted link.
! 	 */
  	do_action( 'deleted_link', $link_id );
  
  	clean_bookmark_cache( $link_id );
***************
*** 206,216 ****
  
  	wp_set_link_cats( $link_id, $link_category );
  
! 	if ( $update )
  		do_action( 'edit_link', $link_id );
! 	else
  		do_action( 'add_link', $link_id );
! 
  	clean_bookmark_cache( $link_id );
  
  	return $link_id;
--- 218,242 ----
  
  	wp_set_link_cats( $link_id, $link_category );
  
! 	if ( $update ) {
! 		/**
! 		 * Fires after a link was updated in the database.
! 		 *
! 		 * @since 2.0.0
! 		 *
! 		 * @param int $link_id ID of the link that was updated.
! 		 */
  		do_action( 'edit_link', $link_id );
! 	} else {
! 		/**
! 		 * Fires after a link was added to the database.
! 		 *
! 		 * @since 2.0.0
! 		 *
! 		 * @param int $link_id ID of the link that was added.
! 		 */
  		do_action( 'add_link', $link_id );
! 	}
  	clean_bookmark_cache( $link_id );
  
  	return $link_id;
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/class-wp-comments-list-table.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/class-wp-comments-list-table.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/class-wp-comments-list-table.php	2013-06-23 03:30:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/class-wp-comments-list-table.php	2013-09-20 15:16:11.000000000 -0500
***************
*** 52,57 ****
--- 52,59 ----
  
  		$search = ( isset( $_REQUEST['s'] ) ) ? $_REQUEST['s'] : '';
  
+ 		$post_type = ( isset( $_REQUEST['post_type'] ) ) ? sanitize_key( $_REQUEST['post_type'] ) : '';
+ 
  		$user_id = ( isset( $_REQUEST['user_id'] ) ) ? $_REQUEST['user_id'] : '';
  
  		$orderby = ( isset( $_REQUEST['orderby'] ) ) ? $_REQUEST['orderby'] : '';
***************
*** 96,101 ****
--- 98,104 ----
  			'type' => $comment_type,
  			'orderby' => $orderby,
  			'order' => $order,
+ 			'post_type' => $post_type,
  		);
  
  		$_comments = get_comments( $args );
